﻿using System.Collections.Generic;
using System.Linq;
using System.Xml.Serialization;
using WingMan.MouseKey;

namespace WingMan
{
    public class MouseKeyBindingsExchange
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer =
            new XmlSerializer(typeof(MouseKeyBindingsExchange));

        public MouseKeyBindingsExchange()
        {
        }

        public MouseKeyBindingsExchange(string nick, MouseKeyBindings mouseKeyBindings) : this()
        {
            Nick = nick;
            ExchangeBindings.Add(new MouseKeyBindingExchange
            {
                Nick = Nick,
                Names = mouseKeyBindings.Bindings.Select(binding => binding.Name).ToList()
            });
        }

        public string Nick { get; set; } = string.Empty;

        public List<MouseKeyBindingExchange> ExchangeBindings { get; set; } = new List<MouseKeyBindingExchange>();
    }
}
